/**
 * Returns an object where each key represents a value of the input array
 * and the corresponding value represents the count of that value in the array.
 * This function only works with non-primitive types.
 * @param keys - The keys of the object to use for grouping the values in the array
 * @returns An object where each key represents a value of the input array
 * and the corresponding value represents the count of that value in the array.
 */
export declare function countBy<T extends object>(this: T[], ...keys: (keyof T)[]): Record<string, number>;
