"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.difference = void 0;
/**
 * Returns an array containing all elements from the first array that are not present in any of the other arrays.
 *
 * @template T
 * @param {...T[]} arr - The other arrays to compare against.
 * @returns {T[]} - The difference between the first array and the other arrays.
 */
function difference(...arr2) {
    const set = new Set(arr2.flat());
    return this.filter(el => !set.has(el));
}
exports.difference = difference;
