"use strict";
/**
 * Groups array of objects by given key
 * @param key key to group by
 * @returns Object with grouped key's values as properties and grouped values as arrays
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.groupBy = void 0;
function groupBy(key) {
    if (key === undefined) {
        return {};
    }
    return this.reduce((acc, curr) => {
        if (curr[key] !== undefined) {
            if (!acc[curr[key]]) {
                acc[curr[key]] = [];
            }
            acc[curr[key]].push(curr);
        }
        return acc;
    }, {});
}
exports.groupBy = groupBy;
