"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.union = void 0;
/**
 * Returns the union of two arrays, i.e., an array of all elements from both arrays with duplicates removed.
 * @param arr The array to union with
 * @returns An array containing the union of the two arrays.
 */
function union(arr2) {
    return Array.from(new Set([
        ...this.map((el) => JSON.stringify(el)),
        ...arr2.map((el) => JSON.stringify(el))
    ])).map((el) => JSON.parse(el));
}
exports.union = union;
