"use strict";
/**
 * This function will find and replace all the elements that matches the target value.
 * @param target the target value to be replaced.
 * @param replaceValue the replacement value
 * @returns undefined if no element was found or the indexes of the replaced elements.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.findAllByValueAndReplace = void 0;
function findAllByValueAndReplace(target, replaceValue) {
    const replacedIndexes = [];
    let searchArray;
    if (typeof target === 'object') {
        target = JSON.stringify(target);
        searchArray = this.map(el => JSON.stringify(el));
    }
    else {
        searchArray = this;
    }
    for (let i = 0; i < this.length; i++) {
        if (target === searchArray[i]) {
            this[i] = replaceValue;
            replacedIndexes.push(i);
        }
    }
    return replacedIndexes.length > 0 ? replacedIndexes : undefined;
}
exports.findAllByValueAndReplace = findAllByValueAndReplace;
