"use strict";
/**
 * This function will find and update an given value from the array
 * @param target the value to be updated
 * @param updateCriteria the callback function that will update the element
 * @returns undefined if no element was found or the updated element
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.findByValueAndUpdate = void 0;
function findByValueAndUpdate(target, updateCriteria) {
    let index;
    if (typeof target === 'object') {
        const tempArray = this.map(el => JSON.stringify(el));
        index = tempArray.indexOf(JSON.stringify(target));
    }
    else {
        index = this.indexOf(target);
    }
    if (index == -1)
        return;
    this[index] = updateCriteria(this[index]);
    return this[index];
}
exports.findByValueAndUpdate = findByValueAndUpdate;
