"use strict";
/**
 * This function will find and update an element from the array.
 * @param searchCriteria the callback function that will return true for the element to be updated
 * @param updateCriteria the callback function that will update the element
 * @returns undefined if no element was found or the updated element
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateOne = void 0;
function updateOne(searchCriteria, updateCriteria) {
    let index = this.findIndex(searchCriteria);
    if (index == -1)
        return;
    this[index] = updateCriteria(this[index]);
    return this[index];
}
exports.updateOne = updateOne;
